Bug 1293272 - (CVE-2015-8607) CVE-2015-8607 perl-PathTools: Taint propagation flaw in canonpath()
CVE-2015-8607 perl-PathTools: Taint propagation flaw in canonpath()
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160111,repor...
: Security
Depends On: 1297455 1297486
Blocks: 1293278
  Show dependency treegraph
 
Reported: 2015-12-21 04:37 EST by Adam Mariš
Modified: 2016-01-27 10:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 11:19:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (2.01 KB, patch)
2015-12-21 04:41 EST, Adam Mariš
no flags Details | Diff
Patch - version correction (4.90 KB, patch)
2015-12-21 04:42 EST, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2015-12-21 04:37:40 EST
It was reported that File::Spec::canonpath() routine returns untainted strings even if passed tainted input.  This defect undermines the guarantee of taint propagation, which is sometimes used to ensure that unvalidated user input does not reach sensitive code. This issue affects versions of PathTools from 3.47 onwards and/or perl 5.20.0.
Comment 1 Adam Mariš 2015-12-21 04:41 EST
Created attachment 1108268 [details]
Patch
Comment 2 Adam Mariš 2015-12-21 04:42 EST
Created attachment 1108269 [details]
Patch - version correction
Comment 3 Adam Mariš 2015-12-21 04:47:28 EST
Acknowledgments:

Red Hat would like to thank upstream developer Ricardo Signes for reporting this issue. Upstream acknowledges David Golden of MongoDB as the original reporter.
Comment 4 Cedric Buissart 2016-01-11 10:56:30 EST
Created perl-PathTools tracking bugs for this issue:

Affects: fedora-all [bug 1297486]
Comment 5 Cedric Buissart 2016-01-11 10:57:53 EST
Upstream bug: https://rt.perl.org/Public/Bug/Display.html?id=126862
Comment 7 Fedora Update System 2016-01-14 03:52:50 EST
perl-PathTools-3.60-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-01-27 10:52:03 EST
perl-PathTools-3.47-312.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.